org.jboss.jca.adapters.jdbc.xa

## Class URLXASelector

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.xa.URLXASelector

- All Implemented Interfaces:
    URLXASelectorStrategy

      public class URLXASelector
      extends java.lang.Object
      implements URLXASelectorStrategy

  Default URL XA selector implementation
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `URLXASelector()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XAData` | `active()` Get the active XAData entry
    `void` | `fail(XAData xd)` Fail a XAData entry - e.g. mark it as bad
    `java.lang.String` | `getData()` Get the data for an error presentation
    `boolean` | `hasMore()` Does the plugin has more valid XAData entries ?
    `void` | `init(java.util.List<XAData> data)` Init the plugin with the XAData entries
    `void` | `reset()` Reset the plugin
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### URLXASelector

          public URLXASelector()

      Constructor

  - ### Method Detail

    - #### init

          public void init(java.util.List<XAData> data)

      Init the plugin with the XAData entries
      Specified by:
        `init` in interface `URLXASelectorStrategy`
      Parameters:
        `data` - The value

    - #### hasMore

          public boolean hasMore()

      Does the plugin has more valid XAData entries ?
      Specified by:
        `hasMore` in interface `URLXASelectorStrategy`
      Returns:
        True, if more are available, otherwise false

    - #### active

          public XAData active()

      Get the active XAData entry
      Specified by:
        `active` in interface `URLXASelectorStrategy`
      Returns:
        The value

    - #### fail

          public void fail(XAData xd)

      Fail a XAData entry - e.g. mark it as bad
      Specified by:
        `fail` in interface `URLXASelectorStrategy`
      Parameters:
        `xd` - The value

    - #### reset

          public void reset()

      Reset the plugin
      Specified by:
        `reset` in interface `URLXASelectorStrategy`

    - #### getData

          public java.lang.String getData()

      Get the data for an error presentation
      Specified by:
        `getData` in interface `URLXASelectorStrategy`
      Returns:
        The value

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)